>From 49025bce233d570d85a243ee6b220da9d510317a Mon Sep 17 00:00:00 2001
From: Dmitriy Olshevskiy <olshevskiy87@bk.ru>
Date: Sat, 4 Jul 2015 12:42:19 +0300
Subject: [PATCH] fix typos

---
 pgadmin/ctl/explainCanvas.cpp                 |    2 +-
 pgadmin/debugger/frmDebugger.cpp              |    2 +-
 pgadmin/dlg/dlgEditGridOptions.cpp            |    2 +-
 pgadmin/dlg/dlgFunction.cpp                   |    4 ++--
 pgadmin/dlg/dlgProperty.cpp                   |    4 ++--
 pgadmin/dlg/dlgSequence.cpp                   |    2 +-
 pgadmin/frm/frmGrantWizard.cpp                |    2 +-
 pgadmin/frm/frmQuery.cpp                      |    2 +-
 pgadmin/frm/frmReport.cpp                     |    2 +-
 pgadmin/frm/frmStatus.cpp                     |    4 ++--
 pgadmin/frm/plugins.cpp                       |    2 +-
 pgadmin/gqb/gqbGridOrderTable.cpp             |    2 +-
 pgadmin/include/db/pgQueryThread.h            |    2 +-
 pgadmin/pgscript/utilities/m_apm/mapm_fpf.cpp |    2 +-
 pgadmin/pgscript/utilities/m_apm/mapmutl2.cpp |    2 +-
 pgadmin/schema/gpExtTable.cpp                 |    2 +-
 pgadmin/schema/pgColumn.cpp                   |    2 +-
 pgadmin/utils/sysSettings.cpp                 |    2 +-
 pgadmin/utils/tabcomplete.c                   |    2 +-
 19 files changed, 22 insertions(+), 22 deletions(-)

diff --git a/pgadmin/ctl/explainCanvas.cpp b/pgadmin/ctl/explainCanvas.cpp
index 043ad6c..a9f4cc6 100644
--- a/pgadmin/ctl/explainCanvas.cpp
+++ b/pgadmin/ctl/explainCanvas.cpp
@@ -327,7 +327,7 @@ void ExplainText::OnMouseLost(wxMouseCaptureLostEvent &ev)
 {
 	/*
 	 * We will not do anything here.
-	 * But - in order to resolve a wierd bug on window, when using
+	 * But - in order to resolve a weird bug on window, when using
 	 * wxPopupTransientWindow, related to loosing the mouse control,
 	 * was not taken care properly, we have to introduce this function
 	 * to avoid the crash.
diff --git a/pgadmin/debugger/frmDebugger.cpp b/pgadmin/debugger/frmDebugger.cpp
index 81bf73f..7ab0b64 100644
--- a/pgadmin/debugger/frmDebugger.cpp
+++ b/pgadmin/debugger/frmDebugger.cpp
@@ -595,7 +595,7 @@ void frmDebugger::OnPositionStc(wxStyledTextEvent &event)
 ////////////////////////////////////////////////////////////////////////////////
 // OnVarChange()
 //
-//     This functions handles the event occured when the user edits a variable
+//     This functions handles the event occurred when the user edits a variable
 //     value. Submit the changed value to the debugger server
 //
 void frmDebugger::OnVarChange(wxGridEvent &_ev)
diff --git a/pgadmin/dlg/dlgEditGridOptions.cpp b/pgadmin/dlg/dlgEditGridOptions.cpp
index 303de33..4f2127f 100644
--- a/pgadmin/dlg/dlgEditGridOptions.cpp
+++ b/pgadmin/dlg/dlgEditGridOptions.cpp
@@ -102,7 +102,7 @@ dlgEditGridOptions::dlgEditGridOptions(frmEditGrid *win, pgConn *conn, const wxS
 	// Get the current sort columns, and populate the listbox.
 	// The current columns will be parsed char by char to allow us
 	// to cope with quoted column names with commas in them (let's hope
-	// noone ever does that, but sod's law etc....)
+	// no one ever does that, but sod's law etc....)
 	bool inColumn = true, inQuote = false;
 	wxString sortCols = parent->GetSortCols();
 	wxString col, dir;
diff --git a/pgadmin/dlg/dlgFunction.cpp b/pgadmin/dlg/dlgFunction.cpp
index f333588..7bb3433 100644
--- a/pgadmin/dlg/dlgFunction.cpp
+++ b/pgadmin/dlg/dlgFunction.cpp
@@ -383,8 +383,8 @@ int dlgFunction::Go(bool modal)
 		cbReturntype->Disable();
 		chkSetof->Disable();
 		cbDatatype->Disable();
-		// Editing paramter for wrapped functions is not allowed
-		// It will anyway throw an error, if we try to edit the paramter list
+		// Editing parameter for wrapped functions is not allowed
+		// It will anyway throw an error, if we try to edit the parameter list
 		if ( connection->GetIsEdb() &&
 		        function->GetSource().Trim(false).StartsWith( wxT( "$__EDBwrapped__$" )))
 		{
diff --git a/pgadmin/dlg/dlgProperty.cpp b/pgadmin/dlg/dlgProperty.cpp
index 1f4d6a6..bf6eeca 100644
--- a/pgadmin/dlg/dlgProperty.cpp
+++ b/pgadmin/dlg/dlgProperty.cpp
@@ -932,7 +932,7 @@ bool dlgProperty::apply(const wxString &sql, const wxString &sql2)
 			// Warn the user about partially applied changes, but don't bail out.
 			// Carry on as if everything was successful (because the most important
 			// change was!!
-			wxMessageBox(_("An error occured executing the second stage SQL statement.\n\nChanges may have been partially applied."), _("Warning"), wxICON_EXCLAMATION | wxOK, this);
+			wxMessageBox(_("An error occurred executing the second stage SQL statement.\n\nChanges may have been partially applied."), _("Warning"), wxICON_EXCLAMATION | wxOK, this);
 		}
 		else // Only apend schema changes if there was no error.
 		{
@@ -2221,7 +2221,7 @@ void dlgAgentProperty::OnOK(wxCommandEvent &ev)
 #endif
 	if (!IsUpToDate())
 	{
-		if (wxMessageBox(wxT("The object has been changed by another user. Do you wish to continue to to try to update it?"), wxT("Overwrite changes?"), wxYES_NO) != wxYES)
+		if (wxMessageBox(wxT("The object has been changed by another user. Do you wish to continue to try to update it?"), wxT("Overwrite changes?"), wxYES_NO) != wxYES)
 			return;
 	}
 
diff --git a/pgadmin/dlg/dlgSequence.cpp b/pgadmin/dlg/dlgSequence.cpp
index e730ab4..1a8f25c 100644
--- a/pgadmin/dlg/dlgSequence.cpp
+++ b/pgadmin/dlg/dlgSequence.cpp
@@ -268,7 +268,7 @@ wxString dlgSequence::GetSql()
 			AppendOwnerChange(sql, wxT("TABLE ") + schema->GetQuotedPrefix() + qtIdent(name));
 
 		// This is where things get hairy. Per some thought by Horvath Gabor,
-		// we need to adjust the min/max sequence values, and the the current
+		// we need to adjust the min/max sequence values, and the current
 		// value per the rules:
 		//
 		// 1 Any ALTER SEQUENCE MIN/MAXVALUE statements that widen the range
diff --git a/pgadmin/frm/frmGrantWizard.cpp b/pgadmin/frm/frmGrantWizard.cpp
index 8f8adec..2f9fdae 100644
--- a/pgadmin/frm/frmGrantWizard.cpp
+++ b/pgadmin/frm/frmGrantWizard.cpp
@@ -239,7 +239,7 @@ void frmGrantWizard::Go()
 	Layout();
 	Show(true);
 
-	// Work around a wierd display bug in wx2.7
+	// Work around a weird display bug in wx2.7
 	this->Refresh();
 }
 
diff --git a/pgadmin/frm/frmQuery.cpp b/pgadmin/frm/frmQuery.cpp
index b5a2f56..973aeec 100644
--- a/pgadmin/frm/frmQuery.cpp
+++ b/pgadmin/frm/frmQuery.cpp
@@ -1754,7 +1754,7 @@ void frmQuery::OnChangeStc(wxStyledTextEvent &event)
 	// that seems to be m_modificationType == 512.
 	if (event.m_modificationType != 512 &&
 	        // Sometimes there come events 20 and 520 AFTER the initial query was set by constructor.
-	        // Their occurence is related to query's size and possibly international characters in it (??)
+	        // Their occurrence is related to query's size and possibly international characters in it (??)
 	        // Filter them out to keep "initial" origin of query text.
 	        (origin != ORIGIN_INITIAL || (event.m_modificationType != 20 && event.m_modificationType != 520)))
 	{
diff --git a/pgadmin/frm/frmReport.cpp b/pgadmin/frm/frmReport.cpp
index 1c15e97..80541d4 100644
--- a/pgadmin/frm/frmReport.cpp
+++ b/pgadmin/frm/frmReport.cpp
@@ -361,7 +361,7 @@ void frmReport::OnOK(wxCommandEvent &ev)
 		}
 	}
 
-	// If report is empty, an error must have occured
+	// If report is empty, an error must have occurred
 	if (report.IsEmpty())
 		return;
 
diff --git a/pgadmin/frm/frmStatus.cpp b/pgadmin/frm/frmStatus.cpp
index 05fc817..0a7c3c9 100644
--- a/pgadmin/frm/frmStatus.cpp
+++ b/pgadmin/frm/frmStatus.cpp
@@ -2749,7 +2749,7 @@ void frmStatus::OnCommit(wxCommandEvent &event)
 		wxString xid = xactList->GetText(item, 1);
 		wxString sql = wxT("COMMIT PREPARED ") + connection->qtDbString(xid);
 
-		// We must execute this in the database in which the prepared transation originated.
+		// We must execute this in the database in which the prepared transaction originated.
 		if (connection->GetDbname() != xactList->GetText(item, 4))
 		{
 			pgConn *tmpConn = new pgConn(connection->GetHost(),
@@ -2807,7 +2807,7 @@ void frmStatus::OnRollback(wxCommandEvent &event)
 		wxString xid = xactList->GetText(item, 1);
 		wxString sql = wxT("ROLLBACK PREPARED ") + connection->qtDbString(xid);
 
-		// We must execute this in the database in which the prepared transation originated.
+		// We must execute this in the database in which the prepared transaction originated.
 		if (connection->GetDbname() != xactList->GetText(item, 4))
 		{
 			pgConn *tmpConn = new pgConn(connection->GetHost(),
diff --git a/pgadmin/frm/plugins.cpp b/pgadmin/frm/plugins.cpp
index 32cd098..aca0076 100644
--- a/pgadmin/frm/plugins.cpp
+++ b/pgadmin/frm/plugins.cpp
@@ -192,7 +192,7 @@ void frmMain::AddPluginUtility(PluginUtility *util)
 #endif
 #endif
 
-	// Only add apps targetted to this, or any platform
+	// Only add apps targeted to this, or any platform
 	if (util->platform.Lower() == thisPlatform || util->platform == wxEmptyString)
 	{
 		// Only add an app with a title and command
diff --git a/pgadmin/gqb/gqbGridOrderTable.cpp b/pgadmin/gqb/gqbGridOrderTable.cpp
index c414667..eb4dee4 100644
--- a/pgadmin/gqb/gqbGridOrderTable.cpp
+++ b/pgadmin/gqb/gqbGridOrderTable.cpp
@@ -262,7 +262,7 @@ void gqbGridOrderTable::changesPositions(int sPos, int dPos)
 // Change a single row or a range to one pos up or down (but no more than one position)
 void gqbGridOrderTable::changesRangeOnePos(int topPos, int bottomPos, int newTop)
 {
-	// Eliminate side effect of zero base array on calculations, but carefull newTop still it's zero based
+	// Eliminate side effect of zero base array on calculations, but careful newTop still it's zero based
 	topPos++;
 	bottomPos++;
 	int sizeRange = bottomPos - (topPos - 1), size = GetNumberRows();
diff --git a/pgadmin/include/db/pgQueryThread.h b/pgadmin/include/db/pgQueryThread.h
index 1ee51cc..ed8fcb8 100644
--- a/pgadmin/include/db/pgQueryThread.h
+++ b/pgadmin/include/db/pgQueryThread.h
@@ -258,7 +258,7 @@ private:
 	int Execute();
 	int RaiseEvent(int _retval = 0);
 
-	// Queries to be exectued
+	// Queries to be executed
 	pgBatchQueryArray  m_queries;
 	// Current running query index
 	int                m_currIndex;
diff --git a/pgadmin/pgscript/utilities/m_apm/mapm_fpf.cpp b/pgadmin/pgscript/utilities/m_apm/mapm_fpf.cpp
index e2591c8..4f7fe40 100644
--- a/pgadmin/pgscript/utilities/m_apm/mapm_fpf.cpp
+++ b/pgadmin/pgscript/utilities/m_apm/mapm_fpf.cpp
@@ -305,7 +305,7 @@ void	m_apm_to_fixpt_string(char *ss, int dplaces, M_APM mtmp)
 	}
 
 	/*
-	 *  at this point, the number is non-zero and the the output
+	 *  at this point, the number is non-zero and the output
 	 *  string will contain at least 1 significant digit.
 	 */
 
diff --git a/pgadmin/pgscript/utilities/m_apm/mapmutl2.cpp b/pgadmin/pgscript/utilities/m_apm/mapmutl2.cpp
index 75e63a0..93e6c94 100644
--- a/pgadmin/pgscript/utilities/m_apm/mapmutl2.cpp
+++ b/pgadmin/pgscript/utilities/m_apm/mapmutl2.cpp
@@ -284,7 +284,7 @@ char    *M_lowercase(char *s)
 	return(s);
 }
 /****************************************************************************/
-/*    returns char position of first occurence of s2 in s1
+/*    returns char position of first occurrence of s2 in s1
 	  or -1 if no match found
 */
 int     M_strposition(char *s1, char *s2)
diff --git a/pgadmin/schema/gpExtTable.cpp b/pgadmin/schema/gpExtTable.cpp
index 7508032..a665d62 100644
--- a/pgadmin/schema/gpExtTable.cpp
+++ b/pgadmin/schema/gpExtTable.cpp
@@ -336,7 +336,7 @@ wxString gpExtTable::GetSql(ctlTree *browser)
 
 				/*
 				* NOTE: error tables get automatically generated if don't exist.
-				* therefore we must be sure that this statment will be dumped after
+				* therefore we must be sure that this statement will be dumped after
 				* the error relation CREATE is dumped, so that we won't try to
 				* create it twice. For now we rely on the fact that we pick dumpable
 				* objects sorted by OID, and error table oid *should* always be less
diff --git a/pgadmin/schema/pgColumn.cpp b/pgadmin/schema/pgColumn.cpp
index 3708eea..03e0d69 100644
--- a/pgadmin/schema/pgColumn.cpp
+++ b/pgadmin/schema/pgColumn.cpp
@@ -417,7 +417,7 @@ void pgColumn::ShowTreeDetail(ctlTree *browser, frmMain *form, ctlListView *prop
 
 		if (!GetDatabase()->BackendMinimumVersion(7, 4))
 		{
-			// 7.3 misses the ANY(array) comparision
+			// 7.3 misses the ANY(array) comparison
 			pgSet *set = ExecuteSet(
 			                 wxT("SELECT conkey\n")
 			                 wxT("  FROM pg_constraint ct\n")
diff --git a/pgadmin/utils/sysSettings.cpp b/pgadmin/utils/sysSettings.cpp
index e9f270c..7780368 100644
--- a/pgadmin/utils/sysSettings.cpp
+++ b/pgadmin/utils/sysSettings.cpp
@@ -10,7 +10,7 @@
 // Note: This class stores and manages all the applications settings.
 //       Settings are all read in the ctor, but may be written either in
 //       the relevant SetXXX() member function for rarely written settings
-//       or in the dtor for reguarly changed settings such as form sizes.
+//       or in the dtor for regularly changed settings such as form sizes.
 //////////////////////////////////////////////////////////////////////////
 
 #include "pgAdmin3.h"
diff --git a/pgadmin/utils/tabcomplete.c b/pgadmin/utils/tabcomplete.c
index 43acb29..840c8e3 100644
--- a/pgadmin/utils/tabcomplete.c
+++ b/pgadmin/utils/tabcomplete.c
@@ -10,7 +10,7 @@
 //////////////////////////////////////////////////////////////////////////
 
 /* 
- * BUG: Must compile as C and not C++, becase of 
+ * BUG: Must compile as C and not C++, because of
  * http://support.microsoft.com/default.aspx?scid=kb%3Ben-us%3B315481
  * Adds a bit of C<->C++ cruft...
  */
-- 
1.7.10.4

